/* GRID */
.faculty-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
  gap: 25px;
  margin-top: 20px;
}

/* CARD */
.faculty-card {
  background: #ffffff;
  border-radius: 15px;
  padding: 20px 15px;
  text-align: center;
  position: relative;
  overflow: hidden;
  transition: all 0.4s ease;
  box-shadow: 0 5px 15px rgba(0,0,0,0.08);
}

/* CARD HOVER */
.faculty-card:hover {
  transform: translateY(-8px) scale(1.02);
  box-shadow: 0 15px 30px rgba(0,0,0,0.2);
}

/* IMAGE */
.faculty-img {
  width: 80px;
  height: 120px;
  object-fit: cover;

  /* Border + Radius */
  border-radius: 12px;
  border: 3px solid #B85F4F;

  /* Smooth animation */
  transition: all 0.4s ease;
}

/* IMAGE HOVER (MAIN EFFECT) */
.faculty-img:hover {
  transform: scale(1.25) rotate(0deg);
  border-color: #FFC6BD;
  box-shadow: 0 10px 25px  rgba(238, 136, 111, 0.6);
}


/* NAME */
.faculty-name {
  font-weight: 600;
  font-size: 16px;
  margin-top: 12px;
  color: #222;
  transition: 0.3s;
}

/* NAME HOVER COLOR */
.faculty-card:hover .faculty-name {
  color: #007bff;
}

/* TEXT */
.faculty-card div {
  font-size: 13px;
  color: #555;
  margin-top: 4px;
}



/* SHINE EFFECT */
.faculty-card::before {
  content: \"\";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(120deg, transparent, rgba(255,255,255,0.4), transparent);
  transition: 0.6s;
}

.faculty-card:hover::before {
  left: 100%;
}